#include <stdio.h>
#include <stdint.h>

#include "board.h"
#include "periph/gpio.h"
#include "ztimer.h"

int main(void) {
  gpio_init(LED0_PIN, GPIO_OUT);
  gpio_init(BTN0_PIN, GPIO_IN_PU);

  uint8_t prev_state = 0;
  uint8_t curr_state = 0;

  for (;;) {
    prev_state = curr_state;
    curr_state = !gpio_read(BTN0_PIN);

    if (curr_state > prev_state) {
      gpio_toggle(LED0_PIN);
      ztimer_sleep(ZTIMER_USEC, 200 * US_PER_MS);
    }

    ztimer_sleep(ZTIMER_USEC, 100 * US_PER_MS);
  }

  return 0;
}
